Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554260 - dev-lang/tcl-8.6.4: installs libraries & manpages u-w
Summary: dev-lang/tcl-8.6.4: installs libraries & manpages u-w
Status: RESOLVED WORKSFORME
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TCL/TK Project
URL: https://core.tcl.tk/tcl/tktview/c3008...
Whiteboard:
Keywords:
Depends on:
Blocks: tcltk-8.6 554258 586300
  Show dependency tree
 
Reported: 2015-07-08 19:24 UTC by Michał Górny
Modified: 2016-08-31 23:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
fix man page permissions in tcl installation (tcl-8.6.5-fix-man-permission.patch,390 bytes, patch)
2016-06-24 13:40 UTC, Hanno Boeck
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-07-08 19:24:30 UTC
dev-lang/tcl (/usr/lib32/libtcl8.6.so)
dev-lang/tcl (/usr/share/man/man1/tclsh.1.lz)
dev-lang/tcl (/usr/share/man/man3/Tcl_Stat.3.lz)
dev-lang/tcl (/usr/share/man/man3/Tcl_SetReturnOptions.3.lz)
dev-lang/tcl (/usr/share/man/man3/Tcl_AddErrorInfo.3.lz)
[...]

See the tracker for more complete explanation of issues with files not writeable by owner.
Comment 1 Justin Lecher gentoo-dev 2015-07-28 08:15:37 UTC
(In reply to Michał Górny from comment #0)
> dev-lang/tcl (/usr/lib32/libtcl8.6.so)
> dev-lang/tcl (/usr/share/man/man1/tclsh.1.lz)
> dev-lang/tcl (/usr/share/man/man3/Tcl_Stat.3.lz)
> dev-lang/tcl (/usr/share/man/man3/Tcl_SetReturnOptions.3.lz)
> dev-lang/tcl (/usr/share/man/man3/Tcl_AddErrorInfo.3.lz)

I cannot reproduce this for the manpages. Perhaps this has to do something with your compression.
Comment 2 Hanno Boeck gentoo-dev 2016-06-24 13:39:34 UTC
I can reproduce the issue and I use normal bzip2. The reason is there is a chmod 444 command in the file unix/installManPage.

I have reported the issue to upstream:
https://core.tcl.tk/tcl/tktview/c30087b04f5a7837b15a64be02e975222485521a

Also will attach trivial patch here.

This issue however affects both tcl 8.5/8.6, therefore it should not be a blocker for 8.6 stabilization.
Comment 3 Hanno Boeck gentoo-dev 2016-06-24 13:40:08 UTC
Created attachment 438642 [details, diff]
fix man page permissions in tcl installation
Comment 4 Hanno Boeck gentoo-dev 2016-06-24 16:50:43 UTC
Upstream fixed it:
http://core.tcl.tk/tcl/info/02219cfde219b300

Is it important enough to patch in gentoo or do we wait for a new tcl release? (they don't happen that often afair)
Comment 5 zlg (RETIRED) gentoo-dev 2016-06-24 22:13:01 UTC
(In reply to Hanno Boeck from comment #4)
> Upstream fixed it:
> http://core.tcl.tk/tcl/info/02219cfde219b300
> 
> Is it important enough to patch in gentoo or do we wait for a new tcl
> release? (they don't happen that often afair)

Awesome, thanks for putting the effort forth to get that fixed upstream!

That handles manpages, so that's step one to fixing the bug. There are libraries that also get installed u-w, so we'll need to find where their build system is setting those permissions as well.

I'm in favor of adding it as a patch, but I'm not sure how mgorny wants to go about things regarding this. I'll see what I can find on the library permissions this evening.
Comment 6 zlg (RETIRED) gentoo-dev 2016-06-25 10:08:38 UTC
With current ~amd64 multilib Tcl-8.6 I'm getting this:

# ls -l $(equery f tcl | grep -E '\.so' | xargs)
-rwxr-xr-x 1 root root 1.8M Jun 20 17:58 /usr/lib64/libtcl8.6.so
lrwxrwxrwx 1 root root   12 Jun 20 17:58 /usr/lib64/libtcl.so -> libtcl8.6.so
-rw-r--r-- 1 root root 137K Jun 20 17:58 /usr/lib/debug/usr/lib64/libtcl8.6.so.debug

Are there other files that are considered libraries and need to be writable by root? These seem fine.
Comment 7 Hanno Boeck gentoo-dev 2016-08-17 09:21:47 UTC
I think we're done here, with tcl 8.6.6 I don't see any files with u-w any more.
I haven't pushed any fix for the .so file but it seems it's okay, maybe it has been independently fixed upstream.

Anyway: If nobody objects I'd propose we close this bug and proceed with 8.6 stabilization in #586300.
Comment 8 zlg (RETIRED) gentoo-dev 2016-08-17 10:09:40 UTC
(In reply to Hanno Boeck from comment #7)
> I think we're done here, with tcl 8.6.6 I don't see any files with u-w any
> more.
> I haven't pushed any fix for the .so file but it seems it's okay, maybe it
> has been independently fixed upstream.
> 
> Anyway: If nobody objects I'd propose we close this bug and proceed with 8.6
> stabilization in #586300.

We usually have to be able to reproduce to address a bug and it seems that we can't, so I'm fine with closing it.

However we might want to clean up Tcl versions later once stabilization proves to be correct.
Comment 9 zlg (RETIRED) gentoo-dev 2016-08-31 23:06:43 UTC
It's been over a week with no objections or indications that the bug is still present. I'm in the process of clearing up Tcl 8.6.6 bugs and it seems it fixes this. Closing. Please reopen if something comes up.